package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * CallLogStatisticVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class CallLogStatisticVo   {
  @JsonProperty("all")
  private Integer all;

  @JsonProperty("incoming")
  private Integer incoming;

  @JsonProperty("outgoing")
  private Integer outgoing;

  @JsonProperty("forwarding")
  private Integer forwarding;

  @JsonProperty("missed")
  private Integer missed;

  @JsonProperty("rejected")
  private Integer rejected;

  public CallLogStatisticVo all(Integer all) {
    this.all = all;
    return this;
  }

  /**
   * Get all
   * @return all
  */
  @ApiModelProperty(value = "")


  public Integer getAll() {
    return all;
  }

  public void setAll(Integer all) {
    this.all = all;
  }

  public CallLogStatisticVo incoming(Integer incoming) {
    this.incoming = incoming;
    return this;
  }

  /**
   * Get incoming
   * @return incoming
  */
  @ApiModelProperty(value = "")


  public Integer getIncoming() {
    return incoming;
  }

  public void setIncoming(Integer incoming) {
    this.incoming = incoming;
  }

  public CallLogStatisticVo outgoing(Integer outgoing) {
    this.outgoing = outgoing;
    return this;
  }

  /**
   * Get outgoing
   * @return outgoing
  */
  @ApiModelProperty(value = "")


  public Integer getOutgoing() {
    return outgoing;
  }

  public void setOutgoing(Integer outgoing) {
    this.outgoing = outgoing;
  }

  public CallLogStatisticVo forwarding(Integer forwarding) {
    this.forwarding = forwarding;
    return this;
  }

  /**
   * Get forwarding
   * @return forwarding
  */
  @ApiModelProperty(value = "")


  public Integer getForwarding() {
    return forwarding;
  }

  public void setForwarding(Integer forwarding) {
    this.forwarding = forwarding;
  }

  public CallLogStatisticVo missed(Integer missed) {
    this.missed = missed;
    return this;
  }

  /**
   * Get missed
   * @return missed
  */
  @ApiModelProperty(value = "")


  public Integer getMissed() {
    return missed;
  }

  public void setMissed(Integer missed) {
    this.missed = missed;
  }

  public CallLogStatisticVo rejected(Integer rejected) {
    this.rejected = rejected;
    return this;
  }

  /**
   * Get rejected
   * @return rejected
  */
  @ApiModelProperty(value = "")


  public Integer getRejected() {
    return rejected;
  }

  public void setRejected(Integer rejected) {
    this.rejected = rejected;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    CallLogStatisticVo callLogStatisticVo = (CallLogStatisticVo) o;
    return Objects.equals(this.all, callLogStatisticVo.all) &&
        Objects.equals(this.incoming, callLogStatisticVo.incoming) &&
        Objects.equals(this.outgoing, callLogStatisticVo.outgoing) &&
        Objects.equals(this.forwarding, callLogStatisticVo.forwarding) &&
        Objects.equals(this.missed, callLogStatisticVo.missed) &&
        Objects.equals(this.rejected, callLogStatisticVo.rejected);
  }

  @Override
  public int hashCode() {
    return Objects.hash(all, incoming, outgoing, forwarding, missed, rejected);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class CallLogStatisticVo {\n");
    
    sb.append("    all: ").append(toIndentedString(all)).append("\n");
    sb.append("    incoming: ").append(toIndentedString(incoming)).append("\n");
    sb.append("    outgoing: ").append(toIndentedString(outgoing)).append("\n");
    sb.append("    forwarding: ").append(toIndentedString(forwarding)).append("\n");
    sb.append("    missed: ").append(toIndentedString(missed)).append("\n");
    sb.append("    rejected: ").append(toIndentedString(rejected)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

